package my.petstore.entity;

public class LineItem extends BaseEntity {

    private int lineNumber;
    private int quantity;
    private int unitPrice;
    private OrderData orderData;
    private Item item;

    // XXX bidirectional-dependency(OrderData)
    public LineItem(OrderData orderData, int lineNumber, CartItem cartItem) {
        this.orderData = orderData;
        this.lineNumber = lineNumber;
        this.quantity = cartItem.getQuantity();
        this.item = cartItem.getItem();
        this.unitPrice = cartItem.getItem().getListPrice();
    }
    public LineItem() {
    }

    public int getLineNumber() {
        return lineNumber;
    }
    public void setLineNumber(int lineNumber) {
        this.lineNumber = lineNumber;
    }

    public int getQuantity() {
        return quantity;
    }
    public void setQuantity(int quantity) {
        this.quantity = quantity;
    }

    public int getUnitPrice() {
        return unitPrice;
    }
    public void setUnitPrice(int unitprice) {
        this.unitPrice = unitprice;
    }

    public OrderData getOrderData() {
        return orderData;
    }
    public void setOrderData(OrderData orderData) {
        this.orderData = orderData;
    }

    public Item getItem() {
        return item;
    }
    public void setItem(Item item) {
        this.item = item;
    }

    public int getTotalPrice() {
        return this.unitPrice * this.quantity;
    }

}
