package my.petstore.entity;

import java.util.HashSet;
import java.util.Set;

public class Product extends NamedEntity {

    private Category category;
    private String description;
    private Set<Item> items;


    public Category getCategory() { return category; }
    public void setCategory(Category category) { this.category = category; }
    public Integer getCategoryId() { return category.getId(); }

    public String getDescription() { return description; }
    public void setDescription(String description) { this.description = description; }

    public Set<Item> getItems() { return items; }
    public void setItems(Set<Item> items) { this.items = items; }
    
    @Override
    public String toString() {
        return getName() + ", " + getDescription();
    }

    public static final Product NULL = new Product() {
        {
            setCategory(Category.NULL);
            setDescription("");
            setItems(new HashSet<Item>());
        }
    };
}
